# Uses of Interface
javax.swing.event.DocumentEvent.ElementChange

Packages that use DocumentEvent.ElementChange
Package
Description
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

- ## Uses of DocumentEvent.ElementChange in javax.swing.event

  Methods in javax.swing.event that return DocumentEvent.ElementChange
  Modifier and Type
  Method
  Description
  `DocumentEvent.ElementChange`
  DocumentEvent.`getChange(Element elem)`
  Gets the change information for the given element.

- ## Uses of DocumentEvent.ElementChange in javax.swing.text

  Classes in javax.swing.text that implement DocumentEvent.ElementChange
  Modifier and Type
  Class
  Description
  `static class`
  `AbstractDocument.ElementEdit`
  An implementation of ElementChange that can be added to the document event.
  Methods in javax.swing.text that return DocumentEvent.ElementChange
  Modifier and Type
  Method
  Description
  `DocumentEvent.ElementChange`
  AbstractDocument.DefaultDocumentEvent.`getChange(Element elem)`
  Gets the changes for an element.
  Methods in javax.swing.text with parameters of type DocumentEvent.ElementChange
  Modifier and Type
  Method
  Description
  `protected void`
  BoxView.`forwardUpdate(DocumentEvent.ElementChange ec, DocumentEvent e, Shape a, ViewFactory f)`
  Forwards the given `DocumentEvent` to the child views that need to be notified of the change to the model.
  `protected void`
  View.`forwardUpdate(DocumentEvent.ElementChange ec, DocumentEvent e, Shape a, ViewFactory f)`
  Forwards the given `DocumentEvent` to the child views that need to be notified of the change to the model.
  `protected boolean`
  View.`updateChildren(DocumentEvent.ElementChange ec, DocumentEvent e, ViewFactory f)`
  Updates the child views in response to receiving notification that the model changed, and there is change record for the element this view is responsible for.
  `protected boolean`
  ZoneView.`updateChildren(DocumentEvent.ElementChange ec, DocumentEvent e, ViewFactory f)`
  The superclass behavior will try to update the child views which is not desired in this case, since the children are zones and not directly effected by the changes to the associated element.
  `protected void`
  AsyncBoxView.`updateLayout(DocumentEvent.ElementChange ec, DocumentEvent e, Shape a)`
  Update the layout in response to receiving notification of change from the model.
  `protected void`
  View.`updateLayout(DocumentEvent.ElementChange ec, DocumentEvent e, Shape a)`
  Updates the layout in response to receiving notification of change from the model.